#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform vec4 u_blend;

void overlay( inout float base, in float blend, in float alpha ) {
    float result;
    if ( base < 0.5 ) {
        result = 2.0 * base * blend;
    } else {
        result = 1.0 - 2.0 * ( 1.0 - base ) * ( 1.0 - blend );
    }
    base = base * (1.0 - alpha) + result * alpha;
}

//void color_burn( inout float base, in float blend, in float alpha ) {
//    float result = 1.0 - ( ( 1.0 - base ) / ( blend + 0.004 ) );
//    base = base * (1.0 - alpha) + result * alpha;
//}

void main()
{
    gl_FragColor = v_fragmentColor * texture2D( u_texture, vec2( v_texCoord.x, v_texCoord.y ) );
    overlay( gl_FragColor.r, u_blend.r, u_blend.a );
    overlay( gl_FragColor.g, u_blend.g, u_blend.a );
    overlay( gl_FragColor.b, u_blend.b, u_blend.a );
}
