#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform sampler2D u_shineTexture;
uniform float u_shineTime;
uniform vec3 u_glowFillColor;
uniform vec3 u_glowEdgeColor;
uniform float u_glowAlpha;

void main()
{
    vec4 textureSample = texture2D( u_texture, v_texCoord );
    vec2 v_texCoordShine = vec2( v_texCoord.x, v_texCoord.y + 1.0 - 2.0 * u_shineTime);
    vec4 shineSample = texture2D( u_shineTexture, v_texCoordShine );
    shineSample.r *= 0.85;
    shineSample.g *= 0.85;
    float screenBlendedR = 1.0 - (1.0 - textureSample.r) * (1.0 - textureSample.a * u_glowAlpha * u_glowFillColor.r);
    float screenBlendedG = 1.0 - (1.0 - textureSample.g) * (1.0 - textureSample.a * u_glowAlpha * u_glowFillColor.g);
    float screenBlendedB = 1.0 - (1.0 - textureSample.b) * (1.0 - textureSample.a * u_glowAlpha * u_glowFillColor.b);
    gl_FragColor = vec4(screenBlendedR, screenBlendedG, screenBlendedB, textureSample.a);
    gl_FragColor = v_fragmentColor * ((1.0 - shineSample.a) * gl_FragColor + gl_FragColor.a * shineSample);
}
