precision mediump float;
varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main()
{
	float timeRatio = 1.0;
	float u_glowAlpha = 0.5;
	vec3 u_glowColor = vec3(0.5, 1.0, 0.8);
	float u_stepPerLayer = 0.02;

	gl_FragColor = texture2D(u_texture, v_texCoord);

	if (gl_FragColor.a < 0.9)
	{
		vec2 anchor = vec2(0.5, 0.5);
		vec2 texCoord;
		float blurSize = 3.0;
		for (float layer = 0.0; layer < blurSize; layer += 1.0)
		{
			vec2 emit = v_texCoord - anchor;
			emit = emit - normalize(emit) * u_stepPerLayer * (layer + 1.0);
			texCoord.s = anchor.s + emit.s;
			texCoord.t = anchor.t + emit.t;
			vec4 sample = texture2D(u_texture, texCoord);
			if (sample.a > 0.9)
			{
				gl_FragColor.rgb = u_glowColor;
				gl_FragColor.a = timeRatio * u_glowAlpha * (blurSize - layer) / blurSize;
				break;
			}
		}
	}
	else
	{
		float glowAlpha = u_glowAlpha * 0.7;
		gl_FragColor.rgb = gl_FragColor.rgb * (glowAlpha * (1.0 - timeRatio) + (1.0 - glowAlpha)) + u_glowColor * glowAlpha * timeRatio;
	}
}
