precision mediump float;

varying vec4 v_fragmentColor;
varying vec2 v_fog_texCoord;
varying vec2 v_parallax_texCoord;
uniform sampler2D u_fog_texture;
uniform sampler2D u_parallax_texture;

void main()
{
    vec4 fog_color = texture2D(u_fog_texture, v_fog_texCoord);
    vec4 parallax_color = texture2D(u_parallax_texture, v_parallax_texCoord);

    vec4 frag_color = (parallax_color + fog_color * (1.0 - parallax_color.a)) * v_fragmentColor;
    frag_color.rgb *= v_fragmentColor.a;

    gl_FragColor = frag_color;
}
